For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • POSTCompute RAG index
            • GETGet RAG index
            • GETGet RAG index overview
            • POSTCompute RAG index in batch
            • DELDelete RAG index
          • GETSearch knowledge base
          • GETGet dependent agents
          • GETGet knowledge base size
          • GETGet knowledge base summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceKnowledge BaseRAG

Get RAG index overview

GET
/v1/convai/knowledge-base/rag-index
GET
/v1/convai/knowledge-base/rag-index
$curl https://api.elevenlabs.io/v1/convai/knowledge-base/rag-index
1{
2 "total_used_bytes": 1,
3 "total_max_bytes": 1,
4 "models": [
5 {
6 "model": "e5_mistral_7b_instruct",
7 "used_bytes": 1
8 }
9 ]
10}
Provides total size and other information of RAG indexes used by knowledgebase documents
Was this page helpful?
Previous

Compute RAG index in batch

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
total_used_bytesinteger
total_max_bytesinteger
modelslist of objects

Errors

422
Conversational AI Rag Index Overview Request Unprocessable Entity Error